VCardHandler Class Referenceabstract

`#include <vcardhandler.h>`

## Public Types

enum | VCardContext { FetchVCard , StoreVCard }

## Public Member Functions

virtual | ~VCardHandler ()
virtual void | handleVCard (const JID &jid, const VCard *vcard)=0
virtual void | handleVCardResult (VCardContext context, const JID &jid, StanzaError se=StanzaErrorUndefined)=0

## Detailed Description

A virtual interface that helps requesting Jabber VCards.

Derive from this interface and register with the VCardManager. See VCardManager for info on how to fetch VCards.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.8

Definition at line 36 of file vcardhandler.h.

## Member Enumeration Documentation

## VCardContext

enum VCardContext

Describes possible operation contexts.

Enumerator
FetchVCard | Operation involves fetching a VCard.
StoreVCard | Operation involves storing a VCard.

Definition at line 42 of file vcardhandler.h.

## Constructor & Destructor Documentation

## ~VCardHandler()

virtual ~VCardHandler | ( |  | ) |

inline virtual

Virtual destructor.

Definition at line 51 of file vcardhandler.h.

## Member Function Documentation

## handleVCard()

virtual void handleVCard | ( | const JID & | jid,
|  | const VCard * | vcard )

pure virtual

This function is called when a VCard has been successfully fetched.

Parameters

  jid | The JID to which this VCard belongs.
  vcard | The fetched VCard. Zero if there is no VCard for this contact. Do not delete the VCard. It will be deleted after this function returned.

## handleVCardResult()

virtual void handleVCardResult | ( | VCardContext | context,
|  | const JID & | jid,
|  | StanzaError | se = StanzaErrorUndefined )

pure virtual

This function is called to indicate the result of a VCard store operation or any error that occurs.

Parameters

  context | The operation which yielded the result.
  jid | The JID involved.
  se | The error, if any. If equal to `StanzaErrorUndefined` no error occured.

The documentation for this class was generated from the following file:

- vcardhandler.h